Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.bsf
[Java] Class GroovyEngine

    java.lang.Object
      org.apache.bsf.util.BSFEngineImpl
          org.codehaus.groovy.bsf.GroovyEngine

    public class GroovyEngine
    extends BSFEngineImpl

A BSF Engine for the Groovy scripting language.

It's derived from the Jython / JPython engine

Authors:
  James Strachan

Field Summary
`protected GroovyShell` | `shell`

Method Summary
`java.lang.Object` | `apply(java.lang.String source, int lineNo, int columnNo, java.lang.Object funcBody, java.util.Vector paramNames, java.util.Vector arguments)` Allow an anonymous function to be declared and invoked
`java.lang.Object` | `call(java.lang.Object object, java.lang.String method, java.lang.Object[] args)` Call the named method of the given object.
`void` | `declareBean(BSFDeclaredBean bean)` Declare a bean
`java.lang.Object` | `eval(java.lang.String source, int lineNo, int columnNo, java.lang.Object script)` Evaluate an expression.
`void` | `exec(java.lang.String source, int lineNo, int columnNo, java.lang.Object script)` Execute a script.
`protected GroovyShell` | `getEvalShell()` @return a newly created GroovyShell using the same variable scope but a new class loader
`void` | `initialize(BSFManager mgr, java.lang.String lang, java.util.Vector declaredBeans)` Initialize the engine.
`void` | `undeclareBean(BSFDeclaredBean bean)` Undeclare a previously declared bean.

Field Detail

### shell

    protected GroovyShell shell

Method Detail

### apply

    public java.lang.Object apply(java.lang.String source, int lineNo, int columnNo, java.lang.Object funcBody, java.util.Vector paramNames, java.util.Vector arguments)

  Allow an anonymous function to be declared and invoked

### call

    public java.lang.Object call(java.lang.Object object, java.lang.String method, java.lang.Object[] args)

  Call the named method of the given object.

### declareBean

    public void declareBean(BSFDeclaredBean bean)

  Declare a bean

### eval

    public java.lang.Object eval(java.lang.String source, int lineNo, int columnNo, java.lang.Object script)

  Evaluate an expression.

### exec

    public void exec(java.lang.String source, int lineNo, int columnNo, java.lang.Object script)

  Execute a script.

### getEvalShell

    protected GroovyShell getEvalShell()

  Returns:
    a newly created GroovyShell using the same variable scope but a new class loader

### initialize

    public void initialize(BSFManager mgr, java.lang.String lang, java.util.Vector declaredBeans)

  Initialize the engine.

### undeclareBean

    public void undeclareBean(BSFDeclaredBean bean)

  Undeclare a previously declared bean.

Groovy Documentation